corda / net.corda.node.utilities / ANSIProgressObserver

# ANSIProgressObserver

`class ANSIProgressObserver`

This observes the StateMachineManager and follows the progress of FlowLogics until they complete in the order they are added to the StateMachineManager.

### Constructors

<init> | `ANSIProgressObserver(smm: StateMachineManager)` This observes the StateMachineManager and follows the progress of FlowLogics until they complete in the order they are added to the StateMachineManager.

### Properties

smm | `val smm: StateMachineManager`